Skip to main content
POST
/
v1
/
event
/
{eventId}
/
exhibitors
/
{exhibitorId}
/
restore
Restore a deleted exhibitor
curl --request POST \
  --url https://public-api.sessionboard.com/v1/event/{eventId}/exhibitors/{exhibitorId}/restore \
  --header 'x-access-token: <api-key>'
{
  "id": "<string>",
  "friendly_id": "<string>",
  "friendly_id_raw": 123,
  "name": "<string>",
  "description": "<string>",
  "logo_image_url": "<string>",
  "banner_image_url": "<string>",
  "phone": "<string>",
  "address_line_1": "<string>",
  "address_line_2": "<string>",
  "address_city": "<string>",
  "address_state": "<string>",
  "address_postal_code": "<string>",
  "address_coutnry": "<string>",
  "facebook_url": "<string>",
  "instagram_url": "<string>",
  "linkedin_url": "<string>",
  "snapchat_username": "<string>",
  "tiktok_username": "<string>",
  "twitter_url": "<string>",
  "website_url": "<string>",
  "created_at": "<string>",
  "updated_at": "<string>",
  "custom_fields": [
    {
      "id": "<string>",
      "name": "<string>",
      "value": "<string>",
      "type": "<string>",
      "internal_name": "<string>",
      "created_at": "<string>"
    }
  ],
  "translated_fields": [
    {
      "id": "<string>",
      "name": "<string>",
      "type": "<string>",
      "parent_field_id": "<string>",
      "parent_field_source": "<string>",
      "parent_field_name": "<string>",
      "parent_field_internal_name": "<string>",
      "translated_language": "<string>",
      "value": "<string>"
    }
  ],
  "contacts": [
    {
      "id": "<string>",
      "friendly_id": "<string>",
      "friendly_id_raw": 123,
      "full_name": "<string>",
      "first_name": "<string>",
      "last_name": "<string>",
      "email": "<string>",
      "photo_url": "<string>",
      "company_name": "<string>",
      "title": "<string>",
      "about": "<string>",
      "is_primary": true,
      "contact_created_at": "<string>",
      "contact_updated_at": "<string>",
      "relationship_created_at": "<string>",
      "relationship_updated_at": "<string>"
    }
  ]
}

Authorizations

x-access-token
string
header
required

Organization API token. Generate from Organization Settings → API Tokens.

Path Parameters

eventId
integer
required

The event ID.

exhibitorId
string
required

The exhibitor ID.

Response

Exhibitor restored

An exhibitor associated with an event.

id
string
friendly_id
string
friendly_id_raw
integer
name
string
description
string
logo_image_url
string
banner_image_url
string
phone
string
address_line_1
string
address_line_2
string
address_city
string
address_state
string
address_postal_code
string
address_coutnry
string

Country (note: field name contains a known typo preserved for backwards compatibility).

facebook_url
string
instagram_url
string
linkedin_url
string
snapchat_username
string
tiktok_username
string
twitter_url
string
website_url
string
created_at
string
updated_at
string
custom_fields
object[]
translated_fields
object[]
contacts
object[]